<?php
$dbH = 'localhost';
$dbusr = 'db-user-name';
$dbpass = 'db-user-pass';
$dbN = 'db-name';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {
    $key = isset($_POST['api_key']) ? $_POST['api_key'] : '';
    $requestLimit = isset($_POST['request_limit']) ? (int)$_POST['request_limit'] : 0;

    if (empty($key) || $requestLimit <= 0) {
        die("Please provide valid values for API key and request limit.");
    }

    $conn = new mysqli($dbH, $dbusr, $dbpass, $dbN);

    if ($conn->connect_error) {
        die("Connection failed: " . $conn->connect_error);
    }

    $key = $conn->real_escape_string($key);

    $checkQuery = "SELECT * FROM api_keys WHERE api_key = ?";
    $checkStmt = $conn->prepare($checkQuery);

    if (!$checkStmt) {
        die("Prepare failed: (" . $conn->errno . ") " . $conn->error);
    }

    $checkStmt->bind_param('s', $key);
    $checkStmt->execute();
    $checkResult = $checkStmt->get_result();

    if ($checkResult->num_rows > 0) {
        die("API key already exists. Please choose a different one.");
    }

    $insertQuery = "INSERT INTO api_keys (api_key, balance) VALUES (?, ?)";
    $insertStmt = $conn->prepare($insertQuery);
    $insertStmt->bind_param('si', $key, $requestLimit);

    if ($insertStmt->execute()) {
        echo "New API Key created successfully!";
    } else {
        echo "Error creating API Key: " . $conn->error;
        error_log("Error creating API Key: " . $conn->error);
    }

    $checkStmt->close();
    $insertStmt->close();
    $conn->close();
}
?>
